package com.ruoyi.system.api.factory;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.domain.SysUser;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.RemoteAuthService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 用户服务降级处理
 * 
 * @author ruoyi
 */
@Component
public class RemoteAuthFallbackFactory implements FallbackFactory<RemoteAuthService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteAuthFallbackFactory.class);

    @Override
    public RemoteAuthService create(Throwable throwable)
    {
        log.error("认证服务调用失败:{}", throwable.getMessage());
        return new RemoteAuthService()
        {
            @Override
            public R<AjaxResult> refreshTokenUserInfo(String token, SysUser sysUser, String source) {
                return R.fail("刷新令牌用户信息失败:" + throwable.getMessage());
            }
        };
    }
}
